## tools-testing 1.38.1

=== Makefile ===
SH_FILES := install_package run_tests tools-testing-run-test.sh \
tools-testing-what-release.sh kvm-worker.sh run-itest-kvm.sh \
run-install-upgrade-test.sh tools-testing-delete-merged-jobs.sh \
tools-testing-update-seed-images.sh pre-deployment-test-worker.sh \
deploy-all-new-hda-to-all-workers.sh deploy-one-file-to-all-workers.sh \
deploy-one-new-hda-to-all-workers.sh deploy-images-to-one-worker.sh \
deploy-one-hda-to-all-workers.sh

PY_FILES := build-package safeosc trigger_itest_verify.py

install:
	install -d $(DESTDIR)/usr/bin
	install -m 0755 $(SH_FILES) $(PY_FILES) $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/etc/sudoers.d
	install -m 0644 sudoers.jenkins $(DESTDIR)/etc/sudoers.d/jenkins
	install -d $(DESTDIR)/etc/jenkins-worker
	install -m 0644 workers.env $(DESTDIR)/etc/jenkins-worker
#	install -d $(DESTDIR)/etc/tools-tester.d
#	install -m 0644 base-repos-*.conf servers-*.conf $(DESTDIR)/etc/tools-tester.d
	install -d $(DESTDIR)/var/lib/jenkins
#	install -m 0644 coverage.xml-fake nosetests.xml-fake $(DESTDIR)/var/lib/jenkins

test:
	- checkbashisms $(SH_FILES)

=== packaging/Makefile ===
PKG_NAME := tools-testing
SPECFILE = $(addsuffix .spec, $(PKG_NAME))
PKG_VERSION := $(shell grep '^Version: ' $(SPECFILE)|awk '{print $$2}')

TARBALL := $(PKG_NAME)-$(PKG_VERSION).tar.gz

dsc: $(TARBALL)
#		$(eval MD5=$(shell md5sum $(TARBALL) | sed "s/  / $(shell stat -c '%s' $(TARBALL)) /"))
#			@sed  -i 's/^Version:.*/Version: $(PKG_VERSION)/' $(PKG_NAME).dsc
#			@sed  -i 's/ [a-f0-9]\+ [0-9]\+ $(PKG_NAME).*tar.*/ $(MD5)/' $(PKG_NAME).dsc

$(TARBALL):
		cd "$$(git rev-parse --show-toplevel)" \
			&& git archive --prefix $(PKG_NAME)-$(PKG_VERSION)/ HEAD \
			| gzip > "$(CURDIR)/$(TARBALL)"

clean:
		rm -f $(PKG_NAME)*.tar.gz

all: clean dsc

=== debian/changelog ===
tools-testing (1.38.1) unstable; urgency=low
  * Add missing files.
 -- Wang Biao <biao716.wang@samsung.com>  Thu, 10 Feb 2022 10:09:30 +0800

tools-testing (1.37.1) unstable; urgency=low
  * Fix failed error reporting back to CI
  * Adding fake report files
  * fixing depends issue for Ubuntu 18.04
  * Use MAIN_PROJECT only, remove to use release branch
  * Create _service file from SOURCE_PROJECT
  * remove build dependence with python-support
  * fix pylint error with import error
 -- Wang Biao <biao716.wang@samsung.com>  Thu, 5 Nov 2020 10:09:30 +0800

tools-testing (1.36.1) unstable; urgency=low
  * add debian
 -- Tizen Build Team <tizen.build@samsung.com>  Mon, 22 May 2017 10:09:30 +0800

=== debian/control ===
Source: tools-testing
Section: devel
Priority: extra
Maintainer: Tizen Build Team <tizen.build@samsung.com>
Build-Depends: debhelper (>= 7.0.15), cdbs, coreutils, python-dev, dh-python, python-docutils, python-setuptools
Standards-Version: 1.36.2
Homepage: http://www.tizen.org

Package: tools-testing
Architecture: all
Depends:  ${python:Depends},
 coreutils,
 sudo,
 git-core,
 make,
 osc,
 qemu-kvm,
 util-linux,
 sysvinit-utils,
 tar,
 python-jinja2,
 python-setuptools,
 socat,
 buffer
Description: Utilities to be run on Tools Tester Jenkins worker host, to prepare and start VM tester sessions

Package: tools-testing-mgmt
Architecture: all
Depends:  ${python:Depends},
 tools-testing
Description: Management scripts for jenkins-worker images

Package: tools-testing-settings-tizenorg
Architecture: all
Depends:  ${python:Depends},
 tools-testing
Description: Tools tester jenkins-worker settings in tizen.org env

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Installing package
	mkdir -p $(CURDIR)/debian/tmp/
	install -d $(CURDIR)/debian/tmp/
	cp -r *.sh *.py *.env build-package install_package run_tests runtester safeosc sudoers.jenkins pre_deployment_test $(CURDIR)/debian/tmp/
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_python2
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
